

ЗадатьСписокМодулей = мир =>
{
    var шаблонЭлемента = `
<div class="uk-card uk-card-default uk-card-body uk-margin-bottom">
    <h3 class="uk-card-title">%номер%. %название%</h3>
    <a href="%ссылка%">%указатель%</a>
</div>
    `;
    var указательГлавреда = мир.модули.модульПоИмени("АВРЕ").указатель;
    var html = "";
    var указатели = Object.keys(мир.модули.модули).sort();
    for (var номер in указатели)
    {
        var указатель = указатели[номер];
        var модуль = мир.модули.модульПоУказателю(указатель);
        var ссылка = `?${указательГлавреда}&📦=${модуль.указатель}`;
        html += шаблонЭлемента
            .replace(/%номер%/, Number(номер) + 1)
            .replace(/%название%/, модуль.имя)
            .replace(/%указатель%/, модуль.указатель)
            .replace(/%ссылка%/, ссылка)
            ;
    }
    $("#окно-со-списком-модулей-список").html(html);

};

// // // //


ОтобразитьОкноСоСпискомМодулей = мир =>
{
    UIkit.modal($("#окно-со-списком-модулей")).show();
};


// // // //


ЗадатьКнопкуОткрытия = мир =>
{
    $(`#${мир.макет.константы.заголовокПраво}`).prepend(`
<ul class="uk-navbar-nav">
    <li><a id="открыть-ссылка" class="height40">📦</a></li>
</ul>
    `);
    $(`#открыть-ссылка`).click(function() {
        мир.уведомить("выбрали открыть");
    });
};


// // // //

ЗадатьОкноСоСпискомМодулей = мир =>
{
    $(document.body).prepend(`

<div id="окно-со-списком-модулей" uk-modal>
    <div class="uk-modal-dialog">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">Открыть | Open</h2>
        </div>
        <div id="окно-со-списком-модулей-список" class="uk-modal-body" uk-overflow-auto>
        </div>
    </div>
</div>
    `);
};